Subject: Re: [bitcoin-dev] Transaction signalling through output address hashing

From: Natanael <[email-masked]>
Date: Sun, 5 Feb 2017 17:22:11 +0100

Den 5 feb. 2017 16:33 skrev "John Hardy via bitcoin-dev" <
[email-masked]>:

Currently in order to signal support for changes to Bitcoin, only miners
are able to do so on the blockchain through BIP9.

One criticism is that the rest of the community is not able to participate
in consensus, and other methods of assessing community support are fuzzy
and easily manipulated through Sybil.

I was trying to think if there was a way community support could be
signaled through transactions without requiring a hard fork, and without
increasing the size of transactions at all.

My solution is basically inspired by hashcash and vanity addresses

Censorship by miners isn't the only problem. Existing and normal
transactions will probabilistically collide with these schemes, and most
wallets have no straightforward way of supporting it.